/*
This program has been developed by students from the bachelor Computer Science at Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
*/

package produce

import (
	"git.science.uu.nl/GraphPolaris/broker"
	"git.science.uu.nl/GraphPolaris/keyvaluestore"
)

/*
Service wraps consumer methods
*/
type Service struct {
	brokerDriver   broker.Interface
	keyValueStore  keyvaluestore.Interface
	producerDriver broker.Producer
}

/*
NewService creates a new service
	broker: broker.Interface, the broker of the new service
	keyValueStore: keyvaluestore, the store of key values
	Return: *Service, the new service
*/
func NewService(broker broker.Interface, keyValueStore keyvaluestore.Interface) *Service {
	return &Service{
		brokerDriver:  broker,
		keyValueStore: keyValueStore,
	}
}

/*
Start starts the producer
*/
func (s *Service) Start() {
	// Create producer
	p := s.brokerDriver.CreateProducer("ui-direct-exchange")

	s.producerDriver = p
}
